> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Exports - Create

> Create an export for an artifact version as part of a callback from special clients. This currently only supports the Filetask client, as a callback from the creation of dataset-export types, in order to track the lineage. It is the requesting client's responsibility to ensure the correctness of the export lineage.



## OpenAPI

````yaml /api-specs/cloud/flyte-extensions-api.yaml post /exports-callback
openapi: 3.1.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: "\n\tAdds a number of extended operations to Flyte in support of retrieving artifact\n\tmetadata and bookmarking artifacts from individual executions."
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: >-
    https://tickets.dominodatalab.com/hc/en-us/articles/360060058871-Service-Level-Agreement
  title: Flyte HTTP Gateway
  version: '0.1'
servers:
  - url: https://mycluster.domino.tech/flows/api/artifacts/v1
    description: Replace 'mycluster.domino.tech' with your Domino cluster hostname.
security: []
paths:
  /exports-callback:
    post:
      summary: Exports - Create
      description: >-
        Create an export for an artifact version as part of a callback from
        special clients. This currently only supports the Filetask client, as a
        callback from the creation of dataset-export types, in order to track
        the lineage. It is the requesting client's responsibility to ensure the
        correctness of the export lineage.
      operationId: exports-callback
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FiletaskUpdate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtifactVersionExportInfo'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    FiletaskUpdate:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - /flows/api/artifacts/v1/schemas/FiletaskUpdate.json
          format: uri
          readOnly: true
          type: string
        errorMsg:
          description: The error message of the filetask task
          type: string
        id:
          description: The ID of the filetask task
          type: string
        key:
          description: The key of the filetask task
          type: string
        status:
          description: The status of the filetask task
          type: string
        taskType:
          description: The type of the filetask task
          type: string
        update:
          description: The task update payload
      required:
        - id
        - key
        - taskType
        - status
        - errorMsg
        - update
      type: object
    ArtifactVersionExportInfo:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - /flows/api/artifacts/v1/schemas/ArtifactVersionExportInfo.json
          format: uri
          readOnly: true
          type: string
        createdAt:
          description: Time of export creation
          format: date-time
          type: string
        exportTargetId:
          description: e.g. Dataset ID
          type: string
        tags:
          additionalProperties:
            type: string
          description: >-
            Map of key-value tags, such as
            datasetSnapshotId=67d31cdfd5439671479939b4.
          type: object
        type:
          description: 'Export type: dataset, netapp-volume, report, model'
          type: string
        uri:
          description: >-
            Permalink to the entity containing the export e.g. Snapshot
            permalink
          type: string
      required:
        - createdAt
        - type
        - exportTargetId
        - uri
        - tags
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - /flows/api/artifacts/v1/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````